
Ruby - Bug #12445

Testing TestIO#test_open_fifo_does_not_block_other_threads results in deadlock on cygwin

05/31/2016 10:15 AM - duerst (Martin Dürst)

Status: Assigned   

Priority: Normal   

Assignee: cygwin   

Target version:    

ruby -v: ruby 2.4.0dev (2016-05-31 trunk 55228)

[x86_64-cygwin]

Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

When I run bin/ruby test/runner.rb test/ruby/test_*, testing stops at TestIO#test_open_fifo_does_not_block_other_threads. Checking

the task manager shows that this is a deadlock (there are two ruby interpreters running, but they don't use any CPU at all).

This is what I see for ages:

[1589/4545] TestIO#test_open_fifo_does_not_block_other_threads

History

#1 - 05/31/2016 10:43 AM - duerst (Martin Dürst)

I see exactly the same phenomenon for TestProcess#test_execopts_redirect_open_fifo. Given the similarity of the test names, these two problems

may be related.

#2 - 05/31/2016 10:52 AM - duerst (Martin Dürst)

Very much the same also for TestReadPartial#test_open_pipe. Probably also related.

#3 - 05/31/2016 11:38 AM - duerst (Martin Dürst)

TestSignal#test_exit_action is another test that hangs in the same way, but from the name, it's not clear whether this is caused by the same bug or

not.

#4 - 05/31/2016 11:40 AM - duerst (Martin Dürst)

Martin Dürst wrote:

TestSignal#test_exit_action is another test that hangs in the same way, but from the name, it's not clear whether this is caused by the same bug

or not.

 Another difference is that for this test, Ctrl-C creates a failure (see below) and moves on, whereas for the others, Ctrl-C isn't of much help.

[  63/1101] TestSignal#test_exit_action = 2717.75 s

  1) Failure:

TestSignal#test_exit_action [/cygdrive/c/Data/ruby/test/ruby/test_signal.rb:56]:

[ruby-dev:26128].

Exception raised:

<Interrupt>.

#5 - 04/28/2017 01:45 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#6 - 05/19/2022 08:20 AM - naruse (Yui NARUSE)

- Assignee changed from nobu (Nobuyoshi Nakada) to cygwin
